Uploaded image for project: 'Fuse Tools'
  1. Fuse Tools
  2. FUSETOOLS-478

Create new unit test from camel-archetype-spring using fuse ide wizard, cause failure when running as junit test

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 2.1.0
    • Fix Version/s: 2.1.0
    • Component/s: None
    • Labels:
      None
    • Environment:
      2.1.170
    • Similar Issues:
      Show 9 results 

      Description

      Also if you do a mvn test from the command line

      Tests in error:
      testCamelRoute(foo.CamelContextXmlTest): Error creating bean with name 'template': Initialization of bean failed; nested exception is org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'camel-1': Invocation of init method failed; nested exception is org.springframework.beans.factory.UnsatisfiedDependencyException: Error creating bean with name 'foo.CamelContextXmlTest$1': Unsatisfied dependency expressed through constructor argument with index 0 of type [foo.CamelContextXmlTest]: : No matching bean of type [foo.CamelContextXmlTest] found for dependency: expected at least 1 bean which qualifies as autowire candidate for this dependency. Dependency annotations: {}; nested exception is org.springframework.beans.factory.NoSuchBeanDefinitionException: No matching bean of type [foo.CamelContextXmlTest] found for dependency: expected at least 1 bean which qualifies as autowire candidate for this dependency. Dependency annotations: {}

        Gliffy Diagrams

          Activity

          Hide
          davsclaus Claus Ibsen added a comment -

          Lars.

          James forgot to update the archetypes. Its still a problem with this version
          <version>2.8.0-fuse-01-20</version>

          However you should use this version or better
          2.8.0-fuse-02-02/

          Show
          davsclaus Claus Ibsen added a comment - Lars. James forgot to update the archetypes. Its still a problem with this version <version>2.8.0-fuse-01-20</version> However you should use this version or better 2.8.0-fuse-02-02/
          Hide
          davsclaus Claus Ibsen added a comment -

          I just used 2.1.279

          Show
          davsclaus Claus Ibsen added a comment - I just used 2.1.279
          Hide
          lhein Lars Heinemann added a comment -

          assigned to James

          Show
          lhein Lars Heinemann added a comment - assigned to James
          Hide
          davsclaus Claus Ibsen added a comment -

          The latest build still have the old -01-20 release. We need to update to the latest
          <version>2.8.0-fuse-02-05</version>

          Show
          davsclaus Claus Ibsen added a comment - The latest build still have the old -01-20 release. We need to update to the latest <version>2.8.0-fuse-02-05</version>
          Hide
          jastrachan James Strachan added a comment -

          Seems to be fixed now we've the new archetypes

          Show
          jastrachan James Strachan added a comment - Seems to be fixed now we've the new archetypes

            People

            • Assignee:
              jastrachan James Strachan
              Reporter:
              davsclaus Claus Ibsen
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: